<?php
/**
 * @package     CMGroupBuying component
 * @copyright   Copyright (C) 2013 bitpay developement team http://bitpay.ir
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */

// No direct access
defined('_JEXEC') or die;

$notifyUrl = JURI::root() . 'index.php?option=com_cmgroupbuying&controller=order&task=notify&gateway=bitpay';

$orderId = $deal['order_id'];


	
$url = 'https://bitpay.ir/payment/gateway-send';
$redirect = urlencode($notifyUrl);
$amount = round($deal['price'] * $deal['quantity'] - $deal['points'], 2)*10;
$ch = curl_init();
curl_setopt($ch,CURLOPT_URL,$url);
curl_setopt($ch,CURLOPT_POSTFIELDS,"api=$api&amount=$amount&redirect=$redirect");
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
$result = curl_exec($ch);
curl_close($ch);



if($result == -1 || $result == -2 || $result == -3 || $result == -4)
{
    $message        = "پرداخت شما با کد بازگشتی " . $result . " ناموفق بود. لطفاً با مدیر سایت تماس حاصل فرمایید!";
    $type           = "error";
    $redirectUrl    = CMGroupBuyingHelperCommon::prepareRedirect('index.php?option=com_cmgroupbuying&view=cart');
    JFactory::getApplication()->redirect($redirectUrl, $message, $type);
}
elseif($result == "")
{
    $message        = "لطفاً curl را بر روی هاست خود نصب نمایید. برای اینکار با مدیریت هاست خود تماس حاصل فرمایید.";
    $type           = "error";
    $redirectUrl    = CMGroupBuyingHelperCommon::prepareRedirect('index.php?option=com_cmgroupbuying&view=cart');
    JFactory::getApplication()->redirect($redirectUrl, $message, $type);
}
else if($result > 0)
{
    $db     = JFactory::getDbo();
    $query  = 'UPDATE #__cmgroupbuying_orders SET transaction_id = "' . $result . '" WHERE id = ' . $orderId;
    $db->setQuery($query);
    $db->query();

    if ($db->getErrorNum())
    {
        $message        = "خطا در mysql , لطفاً با مدیر تماس بگیرین";
        $type           = "error";
        $redirectUrl    = CMGroupBuyingHelperCommon::prepareRedirect('index.php?option=com_cmgroupbuying&view=cart');
        JFactory::getApplication()->redirect($redirectUrl, $message, $type);
    }

    $clearingUrl    = "https://bitpay.ir/payment/gateway-$result";
    $secondsToWait  = 10;
    $link           = '<a href="#" onClick="submitForm()">' . JText::_('COM_CMGROUPBUYING_CLICK_HERE') . '</a>';
    echo sprintf("You will be taken to bitpay in %d seconds, %s if you don't want to wait.", $secondsToWait, $link);
    echo JText::sprintf('COM_CMGROUPBUYING_FINISHED_CHECKOUT_MESSAGE', CMGroupBuyingHelperDateTime::changeDateTimeFormat($expiredDate, 'DATE_FORMAT_LC2'));
?>
    <script type="text/javascript">
        function submitForm()
        {
            window.location = '<?php echo $clearingUrl; ?>';
        }
        setTimeout("submitForm()", <?php echo $secondsToWait * 1000; ?>);
    </script>
<?php
    // Empty the cart
    JFactory::getSession()->clear('cart', 'CMGroupBuying');
}
?>