<?php
/**
 * @package     CMGroupBuying component
 * @copyright   Copyright (C) 2013 bitpay developement team http://bitpay.ir
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */

// No direct access
defined('_JEXEC') or die;

class bitpayNotify
{
    public static function validateTransaction()
    {
        require_once JPATH_SITE . DS . "components" . DS . "com_cmgroupbuying" . DS . "payments" . DS . "bitpay" . DS . "configuration.php";
		$transactionInfo = $_POST;
        $url = 'https://bitpay.ir/payment/gateway-result-second';
		$trans_id = $transactionInfo['trans_id'];
		$id_get = $transactionInfo['id_get'];
		$ch = curl_init();
		curl_setopt($ch,CURLOPT_URL,$url);
		curl_setopt($ch,CURLOPT_POSTFIELDS,"api=$api&id_get=$id_get&trans_id=$trans_id");
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
		curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
		$result = curl_exec($ch);
		curl_close($ch);

        if($result == 1)
        {
            $db     = JFactory::getDbo();
            $query  = 'SELECT id FROM #__cmgroupbuying_orders WHERE transaction_id = "' . $id_get . '";';
            $db->setQuery($query);
            $orderId = $db->loadResult();

            if(!empty($orderId))
            {
                if($result == 1)
                {
                    require_once JPATH_COMPONENT.'/helpers/common.php';
                    $infoToSave         = array('InternalDealNumber' => $trans_id);
                    $currentDateTime    = CMGroupBuyingHelperDateTime::getCurrentDateTime();

                    if(CMGroupBuyingHelperOrder::checkValidTransaction($orderId, $currentDateTime))
                    {
                        CMGroupBuyingHelperOrder::updatePaidOrder($orderId, $infoToSave);
                        $deal = CMGroupBuyingHelperDeal::getDealByOrderId($orderId);

                        if(isset($deal['id']))
                        {
                            if($deal['tipped'] == 0)
                            {
                                CMGroupBuyingHelperDeal::checkDealForTipping($deal);
                            }
                            elseif($deal['tipped'] == 1)
                            {
                                $order = JModel::getInstance('Order', 'CMGroupBuyingModel')->getOrderById($orderId);
                                CMGroupBuyingHelperMail::sendCoupon($order);
                            }
                        }
                    }
                    else
                    {
                        CMGroupBuyingHelperOrder::updateLatePaidOrder($orderId, $infoToSave);
                    }

                    $message    = "پرداخت شما با موفقیت انجام شد!<br /> شماره تراکنش: $trans_id";
                    $type       = "";
                }
                else
                {
                    $message    = "پرداخت شما موفقیت آمیز نبود!<br /> شماره تراکنش: $trans_id";
                    $type       = "error";
                }
            }
            else
            {
                $message    = "سفارش شما یافت نشد";
                $type       = "error";
            }
        }
        else
        {
            $message    = "پرداخت شما موفقیت آمیز نبود!<br /> شماره تراکنش: $trans_id";
            $type       = "error";
        }

        $redirectUrl    = CMGroupBuyingHelperCommon::prepareRedirect('index.php?option=com_cmgroupbuying&view=orders');
        JFactory::getApplication()->redirect($redirectUrl, $message, $type);

    }

	public static function getTransactionInfo()
    {
        $transaction = array();
        $transaction = $_POST;
        return $transaction;
    }}
?>
